Page MenuHomePhabricator

delete.py should have different messages for deleting/undeleting pages
Closed, ResolvedPublic

Description

delete.py uses the same edit summaries for deleting and undeleting operations.


Version: core-(2.0)
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=72733

Details

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 2:53 AM
bzimport set Reference to bz60572.
bzimport added a subscriber: Unknown Object (????).
Xqt created this task.Jan 29 2014, 10:14 AM

Note that we do not have undelete functionality in core (see bug 72733), so this bug isnt all that relevant from an end-user perspective.

Change 181359 had a related patch set uploaded (by Unicodesnowman):
Update DeletionBot for undelete, implement tests

https://gerrit.wikimedia.org/r/181359

Patch-For-Review

Change 181359 merged by jenkins-bot:
Update DeletionBot for undelete, implement tests

https://gerrit.wikimedia.org/r/181359

jayvdb updated the task description. (Show Details)Dec 26 2014, 5:17 AM
jayvdb edited projects, added Pywikibot-compat; removed Patch-For-Review, Pywikibot.
jayvdb set Security to None.
jayvdb moved this task from Backlog to To be backported from core on the Pywikibot-compat board.
jayvdb removed a subscriber: Unknown Object (????).
jayvdb moved this task from Backlog to Compat only on the Pywikibot-i18n board.Dec 26 2014, 5:28 AM
jayvdb moved this task from Backlog to Compat only on the Pywikibot-Scripts board.
Unicodesnowman closed this task as Resolved.Dec 27 2014, 1:33 AM
Unicodesnowman claimed this task.

Patch is, accidentally typed gerrit ID instead of phab task https://gerrit.wikimedia.org/r/#/c/181363